@import '../../node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}
body {
    min-height: 100%;
    color: var(--black);
    background-color: var(--white);
    font-family: var(--font-primary);
    touch-action: manipulation;
    font-size: rem(16);
}


button,
a {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-tap-highlight-color: transparent;

    &:active,
    &:hover {
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        -webkit-tap-highlight-color: transparent;
    }
}

// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 500;
    line-height: 1.2;
    font-family: var(--font-secondary);
}

h1, .h1 {
    font-weight: 600;
    font-size: rem(15);
    line-height: rem(24);
    margin-bottom: rem(16);

    @include media-breakpoint-up(md) {
        font-size: rem(20);
        line-height: rem(28);
        margin-bottom: rem(14);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(24);
        line-height: rem(30);
    }
}

h2, .h2 {
    font-weight: 600;
    font-size: rem(20);
    line-height: rem(26);
    margin-bottom: rem(16);

    @include media-breakpoint-up(md) {
        font-size: rem(24);
        line-height: rem(30);
        margin-bottom: rem(16);
    }

    @include media-breakpoint-up(xl) {

    }
}

h3, .h3 {
    font-size: rem(24);
    margin-bottom: rem(20);
}

h4, .h4 {
    font-size: rem(15);
    line-height: rem(24);
    margin-bottom: rem(14);

    @include media-breakpoint-up(md) {

    }
}

h5, .h5 {
    font-weight: 600;
    font-size: rem(12);
    line-height: rem(16);
    margin-bottom: rem(12);

    @include media-breakpoint-up(md) {
        font-size: rem(13);
        line-height: rem(20);
    }
}

h6, .h6 {
    font-weight: 600;
    font-size: rem(14);
    line-height: rem(20);
    margin-bottom: rem(8);
}

a {
    text-decoration: underline;

    &:hover {
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: rem(20);
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


hr {
    margin-top: rem(20);
    margin-bottom: rem(16);
    border-top: none;
    border-bottom: 1px solid #D9D9D9;
}
